Bug 1565266 - RBAC-related warnings logged when viewing Satellite provider in web UI
Summary: RBAC-related warnings logged when viewing Satellite provider in web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Tomas Coufal
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 18:56 UTC by Tasos Papaioannou
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: Satellite
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Description Tasos Papaioannou 2018-04-09 18:56:42 UTC
Description of problem:

When navigating the Providers accordion under Configuration > Management, WARN-level messages are logged to evm.log:

[----] W, [2018-04-09T14:09:19.654859 #13384:84e658]  WARN -- : MIQ(Rbac::Filterer#lookup_method_for_descendant_class) could not find method name for ConfiguredSystem::ConfiguredSystem

Version-Release number of selected component (if applicable):

Verified on 5.7.4.3, 5.8.3.5, 5.9.1.0, and 5.9.2.0.

How reproducible:

100%

Steps to Reproduce:
1.) Add Satellite provider.
2.) Click on items under Providers accordion.
3.) View evm.log

Actual results:

WARN messages logged.

Expected results:

No WARN messages logged.

Additional info:

Comment 3 Tomas Coufal 2018-05-17 14:49:29 UTC
PRs fixing this issue are available for review:

https://github.com/ManageIQ/manageiq-ui-classic/pull/3952
https://github.com/ManageIQ/manageiq/pull/17430

Comment 4 Tomas Coufal 2018-05-29 14:08:10 UTC
Merged! (Not backported yet) ;)

Comment 5 Tasos Papaioannou 2018-06-26 16:30:59 UTC
Verified on 5.10.0.1.

Comment 7 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.